clear all;
close all;
clc;
load  A4; % Recordings of the values of Cansr, Cai and their ratios when alternans begin in different ischemic cases.
cansr = A4(:,1);
ph65 = 'Case 1';
ph66 = 'Case 2';
ph67 = 'Case 3';
case1a = repmat(ph65,4,1); %char. axis label 
case2a = repmat(ph66,13,1);%char. axis label 
case3a = repmat(ph67,8,1); %char. axis label 
G = char(case1a,case2a,case3a);
subplot(2,2,1);

m=boxplot(cansr,G);
set(m,'LineWidth',1);
xlabel('Ischemic conditions');
ylabel('Ca_n_s_r (mmol/L)');


cai = A4(:,2);
ph65 = 'Case 1';
ph66 = 'Case 2';
ph67 = 'Case 3';
case1b = repmat(ph65,4,1);
case2b = repmat(ph66,13,1);
case3b = repmat(ph67,8,1);
G = char(case1b,case2b,case3b);
subplot(2,2,2);
m=boxplot(cai,G);
set(m,'LineWidth',1);
xlabel('Ischemic conditions');
ylabel('Ca_i (mmol/L)');

ratio = A4(:,3);
ph65 = 'Case 1';
ph66 = 'Case 2';
ph67 = 'Case 3';
case1c = repmat(ph65,4,1);
case2c = repmat(ph66,13,1);
case3c = repmat(ph67,8,1);
G = char(case1c,case2c,case3c);
subplot(2,2,3);
m=boxplot(ratio,G);
set(m,'LineWidth',1);
xlabel('Ischemic conditions');
ylabel('Ca_n_s_r/Ca_i');